Loading...
Searching...
No Matches
libdar::archive_options_test Class Reference
API

class holding optional parameters used to test the structure coherence of an existing archive More...

`#include <archive_options.hpp>`

## Public Member Functions

| archive_options_test (const archive_options_test &ref)
| archive_options_test (archive_options_test &&ref) noexcept
archive_options_test & | operator= (const archive_options_test &ref)
archive_options_test & | operator= (archive_options_test &&ref) noexcept
void | clear ()
void | set_selection (const mask &selection)
| list of filenames to consider (directory not concerned by this fiter)
void | set_subtree (const mask &subtree)
| defines the directory and files to consider (this mask will be applied to the absolute path of files being proceeded)
void | set_info_details (bool info_details)
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_display_treated (bool display_treated, bool only_dir)
void | set_empty (bool empty)
| dry-run exectution if set to true
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
bool | get_empty () const

## Private Member Functions

void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_test &ref)
void | move_from (archive_options_test &&ref) noexcept

## Private Attributes

mask * | x_selection
mask * | x_subtree
bool | x_info_details
bool | x_display_treated
bool | x_display_treated_only_dir
bool | x_display_skipped
bool | x_empty

## Detailed Description

class holding optional parameters used to test the structure coherence of an existing archive

Definition at line 1646 of file archive_options.hpp.

## Constructor & Destructor Documentation

## archive_options_test() [1/3]

libdar::archive_options_test::archive_options_test | ( |  | ) |

inline

Definition at line 1649 of file archive_options.hpp.

## archive_options_test() [2/3]

libdar::archive_options_test::archive_options_test | ( | const archive_options_test & | ref | ) |

inline

Definition at line 1650 of file archive_options.hpp.

## archive_options_test() [3/3]

libdar::archive_options_test::archive_options_test | ( | archive_options_test && | ref | ) |

inline noexcept

Definition at line 1651 of file archive_options.hpp.

## ~archive_options_test()

libdar::archive_options_test::~archive_options_test | ( |  | ) |

inline

Definition at line 1654 of file archive_options.hpp.

## Member Function Documentation

## get_display_skipped()

bool libdar::archive_options_test::get_display_skipped | ( |  | ) | const

inline

Definition at line 1695 of file archive_options.hpp.

## get_display_treated()

bool libdar::archive_options_test::get_display_treated | ( |  | ) | const

inline

Definition at line 1693 of file archive_options.hpp.

## get_display_treated_only_dir()

bool libdar::archive_options_test::get_display_treated_only_dir | ( |  | ) | const

inline

Definition at line 1694 of file archive_options.hpp.

## get_empty()

bool libdar::archive_options_test::get_empty | ( |  | ) | const

inline

Definition at line 1696 of file archive_options.hpp.

## get_info_details()

bool libdar::archive_options_test::get_info_details | ( |  | ) | const

inline

Definition at line 1692 of file archive_options.hpp.

## get_selection()

const mask & libdar::archive_options_test::get_selection | ( |  | ) | const

inline

Definition at line 1690 of file archive_options.hpp.

## get_subtree()

const mask & libdar::archive_options_test::get_subtree | ( |  | ) | const

inline

Definition at line 1691 of file archive_options.hpp.

## operator=() [1/2]

archive_options_test & libdar::archive_options_test::operator= | ( | archive_options_test && | ref | ) |

inline noexcept

Definition at line 1653 of file archive_options.hpp.

## operator=() [2/2]

archive_options_test & libdar::archive_options_test::operator= | ( | const archive_options_test & | ref | ) |

inline

Definition at line 1652 of file archive_options.hpp.

## set_display_skipped()

void libdar::archive_options_test::set_display_skipped | ( | bool | display_skipped | ) |

inline

whether to display files that have been excluded by filters

Definition at line 1676 of file archive_options.hpp.

## set_display_treated()

void libdar::archive_options_test::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir
| ) |  |

inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under processing, not its individual files

Definition at line 1681 of file archive_options.hpp.

## set_empty()

void libdar::archive_options_test::set_empty | ( | bool | empty | ) |

inline

dry-run exectution if set to true

Definition at line 1684 of file archive_options.hpp.

## set_info_details()

void libdar::archive_options_test::set_info_details | ( | bool | info_details | ) |

inline

whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 1673 of file archive_options.hpp.

## Member Data Documentation

## x_display_skipped

bool libdar::archive_options_test::x_display_skipped

private

Definition at line 1704 of file archive_options.hpp.

## x_display_treated

bool libdar::archive_options_test::x_display_treated

private

Definition at line 1702 of file archive_options.hpp.

## x_display_treated_only_dir

bool libdar::archive_options_test::x_display_treated_only_dir

private

Definition at line 1703 of file archive_options.hpp.

## x_empty

bool libdar::archive_options_test::x_empty

private

Definition at line 1705 of file archive_options.hpp.

## x_info_details

bool libdar::archive_options_test::x_info_details

private

Definition at line 1701 of file archive_options.hpp.

## x_selection

mask* libdar::archive_options_test::x_selection

private

Definition at line 1699 of file archive_options.hpp.

## x_subtree

mask* libdar::archive_options_test::x_subtree

private

Definition at line 1700 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp